# $Id: xenophilia.spec,v 1.1 2002/07/18 13:40:12 dude Exp $

%define	engine_dir	%{_libdir}/gtk/themes/engines
%define	theme_dir	%{_datadir}/themes
%define	fonts_dir	%{_prefix}/X11R6/lib/X11/fonts/misc

Summary: Xenophilia GTK+ theme engine.
Name: xenophilia
Version: 0.8
Release: fr1
License: GPL
Group: User Interface/Desktops
Source: http://download.freshmeat.net/themes/xenophilia/xenophilia-%{version}.tar.gz
URL: http://themes.freshmeat.net/projects/xenophilia/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0
BuildRequires: gtk+-devel >= 1.2.0

%description
This is the "Xenophilia" GTK+ theme engine. Beside the fact that the theme has
a pleasing look, it patches several widgets with code that changes the look
and feel to the better, it contains a "Helvetica condensed"-lookalike font as
well as many variations on the main theme.

%prep
%setup -q -n Xenophilia-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make -C gtk-src install \
	ENGINE_DIR=%{buildroot}%{engine_dir} \
	THEME_DIR=%{buildroot}%{theme_dir}
make -C themes install-themes \
	THEME_DIR=%{buildroot}%{theme_dir}
mkdir -p %{buildroot}%{fonts_dir}
install -m 644 fonts/*.pcf.gz %{buildroot}%{fonts_dir}

%post
/usr/bin/X11/xset fp rehash 2>/dev/null || :

%clean
#rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS CONFIGURATION COPYING ChangeLog README TODO
%{engine_dir}/*
%{theme_dir}/*
%{fonts_dir}/*.pcf.gz

%changelog
* Thu Jul 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

